Bug 80929 - multiline column flexbox with auto height wrap too much
Summary: multiline column flexbox with auto height wrap too much
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Tony Chang
URL:
Keywords:
Depends on:
Blocks: 62048
  Show dependency treegraph
 
Reported: 2012-03-12 19:38 PDT by Tony Chang
Modified: 2012-03-14 14:11 PDT (History)
2 users (show)

See Also:


Attachments
Patch (13.14 KB, patch)
2012-03-13 17:07 PDT, Tony Chang
hyatt: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Chang 2012-03-12 19:38:04 PDT
If you have a multiline column flexbox with auto height, we should only have a single line.  If there's a max-height, we should break at the max height.
Comment 1 Tony Chang 2012-03-13 17:07:45 PDT
Created attachment 131754 [details]
Patch
Comment 2 Tony Chang 2012-03-13 17:08:26 PDT
The changes to RenderBox will let me simplify the patch on bug 80069.
Comment 3 Dave Hyatt 2012-03-14 12:19:28 PDT
Comment on attachment 131754 [details]
Patch

r=me
Comment 4 Tony Chang 2012-03-14 14:10:54 PDT
Committed r110747: <http://trac.webkit.org/changeset/110747>